SuperLU: SRC/dcomplex.c File Reference

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
dcomplex.c File Reference

Common arithmetic for complex type. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "slu_dcomplex.h"`
Include dependency graph for dcomplex.c:

## Functions
void | z_div (doublecomplex *c, doublecomplex *a, doublecomplex *b)
| Complex Division c = a/b. More...
double | z_abs (doublecomplex *z)
| Returns sqrt(z.r^2 + z.i^2) More...
double | z_abs1 (doublecomplex *z)
| Approximates the abs. Returns abs(z.r) + abs(z.i) More...
void | z_exp (doublecomplex *r, doublecomplex *z)
| Return the exponentiation. More...
void | d_cnjg (doublecomplex *r, doublecomplex *z)
| Return the complex conjugate. More...
double | d_imag (doublecomplex *z)
| Return the imaginary part. More...
doublecomplex | z_sgn (doublecomplex *z)
| SIGN functions for complex number. Returns z/abs(z) More...
doublecomplex | z_sqrt (doublecomplex *z)
| Square-root of a complex number. More...

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 2.0) –
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

    This file defines common arithmetic operations for complex type.

## Function Documentation

void d_cnjg | ( | doublecomplex * | r,
|  | doublecomplex * | z
| ) |  |

double d_imag | ( | doublecomplex * | z | ) |

double z_abs | ( | doublecomplex * | z | ) |

double z_abs1 | ( | doublecomplex * | z | ) |

void z_div | ( | doublecomplex * | c,
|  | doublecomplex * | a,
|  | doublecomplex * | b
| ) |  |

void z_exp | ( | doublecomplex * | r,
|  | doublecomplex * | z
| ) |  |

doublecomplex z_sgn | ( | doublecomplex * | z | ) |

Here is the call graph for this function:

doublecomplex z_sqrt | ( | doublecomplex * | z | ) |